	.file	"asm-offsets.c"

 # rs6000/powerpc options: --with-cpu=8540 -mcpu=8540 -msdata=data -G 8
 # GNU C (OpenWrt/Linaro GCC 4.8-2014.04 r49389) version 4.8.3 (powerpc-openwrt-linux-uclibcspe)
 #	compiled by GNU C version 4.8.4, GMP version 5.1.3, MPFR version 3.1.2, MPC version 1.0.2
 # GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
 # options passed:  -nostdinc -I ./arch/powerpc/include
 # -I arch/powerpc/include/generated -I include
 # -I ./arch/powerpc/include/uapi -I arch/powerpc/include/generated/uapi
 # -I ./include/uapi -I include/generated/uapi -I arch/powerpc
 # -I arch/powerpc -imultilib . -imultiarch powerpc-linux-gnuspev1
 # -D__unix__ -D__gnu_linux__ -D__linux__ -Dunix -D__unix -Dlinux -D__linux
 # -Asystem=linux -Asystem=unix -Asystem=posix
 # -idirafter /var/lib/buildbot/slaves/slave/mpc85xx/build/firmware/openwrt/staging_dir/target-powerpc_8540_uClibc-0.9.33.2/usr/include
 # -D __KERNEL__ -D CC_HAVE_ASM_GOTO -D KBUILD_STR(s)=#s
 # -D KBUILD_BASENAME=KBUILD_STR(asm_offsets)
 # -D KBUILD_MODNAME=KBUILD_STR(asm_offsets)
 # -isystem /var/lib/buildbot/slaves/slave/mpc85xx/build/firmware/openwrt/staging_dir/toolchain-powerpc_8540_gcc-4.8-linaro_uClibc-0.9.33.2/lib/gcc/powerpc-openwrt-linux-uclibcspe/4.8.3/include
 # -include ./include/linux/kconfig.h
 # -MD arch/powerpc/kernel/.asm-offsets.s.d
 # arch/powerpc/kernel/asm-offsets.c -msoft-float -mmultiple -mcpu=8540
 # -msoft-float -mno-altivec -mno-vsx -mno-spe -mno-string
 # -auxbase-strip arch/powerpc/kernel/asm-offsets.s -O2 -Wall -Wundef
 # -Wstrict-prototypes -Wno-trigraphs -Werror=implicit-function-declaration
 # -Wno-format-security -Wframe-larger-than=1024
 # -Wno-unused-but-set-variable -Wdeclaration-after-statement
 # -Wno-pointer-sign -Werror=implicit-int -Werror=strict-prototypes
 # -std=gnu90 -fno-strict-aliasing -fno-common -ffixed-r2 -funit-at-a-time
 # -fno-dwarf2-cfi-asm -fno-delete-null-pointer-checks -fno-reorder-blocks
 # -fno-tree-ch -fno-caller-saves -fno-stack-protector -fomit-frame-pointer
 # -fno-var-tracking-assignments -fno-strict-overflow -fconserve-stack
 # -fverbose-asm --param allow-store-data-races=0
 # options enabled:  -faggressive-loop-optimizations -fauto-inc-dec
 # -fbranch-count-reg -fcombine-stack-adjustments -fcompare-elim
 # -fcprop-registers -fcrossjumping -fcse-follow-jumps -fdefer-pop
 # -fdevirtualize -fearly-inlining -feliminate-unused-debug-types
 # -fexpensive-optimizations -fforward-propagate -ffunction-cse -fgcse
 # -fgcse-lm -fgnu-runtime -fguess-branch-probability
 # -fhoist-adjacent-loads -fident -fif-conversion -fif-conversion2
 # -findirect-inlining -finline -finline-atomics
 # -finline-functions-called-once -finline-small-functions -fipa-cp
 # -fipa-profile -fipa-pure-const -fipa-reference -fipa-sra
 # -fira-hoist-pressure -fira-share-save-slots -fira-share-spill-slots
 # -fivopts -fkeep-static-consts -fleading-underscore -fmath-errno
 # -fmerge-constants -fmerge-debug-strings -fmove-loop-invariants
 # -fomit-frame-pointer -foptimize-register-move -foptimize-sibling-calls
 # -foptimize-strlen -fpartial-inlining -fpeephole -fpeephole2 -fplt
 # -fprefetch-loop-arrays -freg-struct-return -fregmove -freorder-functions
 # -frerun-cse-after-loop -fsched-critical-path-heuristic
 # -fsched-dep-count-heuristic -fsched-group-heuristic -fsched-interblock
 # -fsched-last-insn-heuristic -fsched-rank-heuristic -fsched-spec
 # -fsched-spec-insn-heuristic -fsched-stalled-insns-dep -fschedule-insns
 # -fschedule-insns2 -fsection-anchors -fshow-column -fshrink-wrap
 # -fsigned-zeros -fsplit-ivs-in-unroller -fsplit-wide-types
 # -fstrict-volatile-bitfields -fsync-libcalls -fthread-jumps
 # -ftoplevel-reorder -ftrapping-math -ftree-bit-ccp
 # -ftree-builtin-call-dce -ftree-ccp -ftree-coalesce-vars -ftree-copy-prop
 # -ftree-copyrename -ftree-cselim -ftree-dce -ftree-dominator-opts
 # -ftree-dse -ftree-forwprop -ftree-fre -ftree-loop-if-convert
 # -ftree-loop-im -ftree-loop-ivcanon -ftree-loop-optimize
 # -ftree-parallelize-loops= -ftree-phiprop -ftree-pre -ftree-pta
 # -ftree-reassoc -ftree-scev-cprop -ftree-sink -ftree-slp-vectorize
 # -ftree-slsr -ftree-sra -ftree-switch-conversion -ftree-tail-merge
 # -ftree-ter -ftree-vrp -funit-at-a-time -fverbose-asm
 # -fzero-initialized-in-bss -m32 -maix-struct-return
 # -malign-branch-targets -malways-hint -mbig -mbig-endian
 # -mblock-move-inline-limit= -mbss-plt -mfriz -mgen-cell-microcode -misel
 # -mmultiple -mno-fp-in-toc -mpointers-to-nested-functions -msched-groups
 # -msched-prolog -msoft-float -mstrict-align -mtls-markers -muclibc
 # -mupdate -mvectorize-builtins -mvsx-scalar-double

	.section	.text.startup,"ax",@progbits
	.align 2
	.globl main
	.type	main, @function
main:
#APP
 # 72 "arch/powerpc/kernel/asm-offsets.c" 1
	
->THREAD 640 offsetof(struct task_struct, thread)	 #
 # 0 "" 2
 # 73 "arch/powerpc/kernel/asm-offsets.c" 1
	
->MM 300 offsetof(struct task_struct, mm)	 #
 # 0 "" 2
 # 74 "arch/powerpc/kernel/asm-offsets.c" 1
	
->MMCONTEXTID 388 offsetof(struct mm_struct, context.id)	 #
 # 0 "" 2
 # 83 "arch/powerpc/kernel/asm-offsets.c" 1
	
->THREAD_INFO 4 offsetof(struct task_struct, stack)	 #
 # 0 "" 2
 # 84 "arch/powerpc/kernel/asm-offsets.c" 1
	
->THREAD_INFO_GAP 64 _ALIGN_UP(sizeof(struct thread_info), 16)	 #
 # 0 "" 2
 # 85 "arch/powerpc/kernel/asm-offsets.c" 1
	
->KSP_LIMIT 68 offsetof(struct thread_struct, ksp_limit)	 #
 # 0 "" 2
 # 88 "arch/powerpc/kernel/asm-offsets.c" 1
	
->KSP 0 offsetof(struct thread_struct, ksp)	 #
 # 0 "" 2
 # 89 "arch/powerpc/kernel/asm-offsets.c" 1
	
->PT_REGS 4 offsetof(struct thread_struct, regs)	 #
 # 0 "" 2
 # 91 "arch/powerpc/kernel/asm-offsets.c" 1
	
->THREAD_NORMSAVES 32 offsetof(struct thread_struct, normsave[0])	 #
 # 0 "" 2
 # 93 "arch/powerpc/kernel/asm-offsets.c" 1
	
->THREAD_FPEXC_MODE 388 offsetof(struct thread_struct, fpexc_mode)	 #
 # 0 "" 2
 # 94 "arch/powerpc/kernel/asm-offsets.c" 1
	
->THREAD_FPSTATE 112 offsetof(struct thread_struct, fp_state)	 #
 # 0 "" 2
 # 95 "arch/powerpc/kernel/asm-offsets.c" 1
	
->THREAD_FPSAVEAREA 384 offsetof(struct thread_struct, fp_save_area)	 #
 # 0 "" 2
 # 96 "arch/powerpc/kernel/asm-offsets.c" 1
	
->FPSTATE_FPSCR 256 offsetof(struct thread_fp_state, fpscr)	 #
 # 0 "" 2
 # 110 "arch/powerpc/kernel/asm-offsets.c" 1
	
->PGDIR 64 offsetof(struct thread_struct, pgdir)	 #
 # 0 "" 2
 # 112 "arch/powerpc/kernel/asm-offsets.c" 1
	
->THREAD_EVR0 408 offsetof(struct thread_struct, evr[0])	 #
 # 0 "" 2
 # 113 "arch/powerpc/kernel/asm-offsets.c" 1
	
->THREAD_ACC 536 offsetof(struct thread_struct, acc)	 #
 # 0 "" 2
 # 114 "arch/powerpc/kernel/asm-offsets.c" 1
	
->THREAD_SPEFSCR 544 offsetof(struct thread_struct, spefscr)	 #
 # 0 "" 2
 # 115 "arch/powerpc/kernel/asm-offsets.c" 1
	
->THREAD_USED_SPE 552 offsetof(struct thread_struct, used_spe)	 #
 # 0 "" 2
 # 119 "arch/powerpc/kernel/asm-offsets.c" 1
	
->THREAD_DBCR0 72 offsetof(struct thread_struct, debug.dbcr0)	 #
 # 0 "" 2
 # 159 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TI_FLAGS 60 offsetof(struct thread_info, flags)	 #
 # 0 "" 2
 # 160 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TI_LOCAL_FLAGS 56 offsetof(struct thread_info, local_flags)	 #
 # 0 "" 2
 # 161 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TI_PREEMPT 12 offsetof(struct thread_info, preempt_count)	 #
 # 0 "" 2
 # 162 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TI_TASK 0 offsetof(struct thread_info, task)	 #
 # 0 "" 2
 # 163 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TI_CPU 8 offsetof(struct thread_info, cpu)	 #
 # 0 "" 2
 # 260 "arch/powerpc/kernel/asm-offsets.c" 1
	
->RTASBASE 4 offsetof(struct rtas_t, base)	 #
 # 0 "" 2
 # 261 "arch/powerpc/kernel/asm-offsets.c" 1
	
->RTASENTRY 0 offsetof(struct rtas_t, entry)	 #
 # 0 "" 2
 # 264 "arch/powerpc/kernel/asm-offsets.c" 1
	
->INT_FRAME_SIZE 192 STACK_INT_FRAME_SIZE	 #
 # 0 "" 2
 # 265 "arch/powerpc/kernel/asm-offsets.c" 1
	
->SWITCH_FRAME_SIZE 192 STACK_FRAME_OVERHEAD + sizeof(struct pt_regs)	 #
 # 0 "" 2
 # 277 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR0 16 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[0])	 #
 # 0 "" 2
 # 278 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR1 20 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[1])	 #
 # 0 "" 2
 # 279 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR2 24 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[2])	 #
 # 0 "" 2
 # 280 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR3 28 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[3])	 #
 # 0 "" 2
 # 281 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR4 32 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[4])	 #
 # 0 "" 2
 # 282 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR5 36 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[5])	 #
 # 0 "" 2
 # 283 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR6 40 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[6])	 #
 # 0 "" 2
 # 284 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR7 44 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[7])	 #
 # 0 "" 2
 # 285 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR8 48 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[8])	 #
 # 0 "" 2
 # 286 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR9 52 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[9])	 #
 # 0 "" 2
 # 287 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR10 56 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[10])	 #
 # 0 "" 2
 # 288 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR11 60 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[11])	 #
 # 0 "" 2
 # 289 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR12 64 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[12])	 #
 # 0 "" 2
 # 290 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR13 68 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[13])	 #
 # 0 "" 2
 # 292 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR14 72 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[14])	 #
 # 0 "" 2
 # 293 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR15 76 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[15])	 #
 # 0 "" 2
 # 294 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR16 80 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[16])	 #
 # 0 "" 2
 # 295 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR17 84 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[17])	 #
 # 0 "" 2
 # 296 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR18 88 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[18])	 #
 # 0 "" 2
 # 297 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR19 92 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[19])	 #
 # 0 "" 2
 # 298 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR20 96 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[20])	 #
 # 0 "" 2
 # 299 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR21 100 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[21])	 #
 # 0 "" 2
 # 300 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR22 104 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[22])	 #
 # 0 "" 2
 # 301 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR23 108 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[23])	 #
 # 0 "" 2
 # 302 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR24 112 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[24])	 #
 # 0 "" 2
 # 303 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR25 116 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[25])	 #
 # 0 "" 2
 # 304 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR26 120 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[26])	 #
 # 0 "" 2
 # 305 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR27 124 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[27])	 #
 # 0 "" 2
 # 306 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR28 128 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[28])	 #
 # 0 "" 2
 # 307 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR29 132 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[29])	 #
 # 0 "" 2
 # 308 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR30 136 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[30])	 #
 # 0 "" 2
 # 309 "arch/powerpc/kernel/asm-offsets.c" 1
	
->GPR31 140 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, gpr[31])	 #
 # 0 "" 2
 # 315 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_NIP 144 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, nip)	 #
 # 0 "" 2
 # 316 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_MSR 148 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, msr)	 #
 # 0 "" 2
 # 317 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_CTR 156 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, ctr)	 #
 # 0 "" 2
 # 318 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_LINK 160 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, link)	 #
 # 0 "" 2
 # 319 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_CCR 168 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, ccr)	 #
 # 0 "" 2
 # 320 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_XER 164 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, xer)	 #
 # 0 "" 2
 # 321 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_DAR 180 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, dar)	 #
 # 0 "" 2
 # 322 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_DSISR 184 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, dsisr)	 #
 # 0 "" 2
 # 323 "arch/powerpc/kernel/asm-offsets.c" 1
	
->ORIG_GPR3 152 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, orig_gpr3)	 #
 # 0 "" 2
 # 324 "arch/powerpc/kernel/asm-offsets.c" 1
	
->RESULT 188 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, result)	 #
 # 0 "" 2
 # 325 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_TRAP 176 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, trap)	 #
 # 0 "" 2
 # 327 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_MQ 172 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, mq)	 #
 # 0 "" 2
 # 334 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_DEAR 180 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, dar)	 #
 # 0 "" 2
 # 335 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_ESR 184 STACK_FRAME_OVERHEAD+offsetof(struct pt_regs, dsisr)	 #
 # 0 "" 2
 # 346 "arch/powerpc/kernel/asm-offsets.c" 1
	
->EXC_LVL_SIZE 64 STACK_EXC_LVL_FRAME_SIZE	 #
 # 0 "" 2
 # 347 "arch/powerpc/kernel/asm-offsets.c" 1
	
->MAS0 192 STACK_INT_FRAME_SIZE+offsetof(struct exception_regs, mas0)	 #
 # 0 "" 2
 # 349 "arch/powerpc/kernel/asm-offsets.c" 1
	
->MMUCR 192 STACK_INT_FRAME_SIZE+offsetof(struct exception_regs, mas0)	 #
 # 0 "" 2
 # 350 "arch/powerpc/kernel/asm-offsets.c" 1
	
->MAS1 196 STACK_INT_FRAME_SIZE+offsetof(struct exception_regs, mas1)	 #
 # 0 "" 2
 # 351 "arch/powerpc/kernel/asm-offsets.c" 1
	
->MAS2 200 STACK_INT_FRAME_SIZE+offsetof(struct exception_regs, mas2)	 #
 # 0 "" 2
 # 352 "arch/powerpc/kernel/asm-offsets.c" 1
	
->MAS3 204 STACK_INT_FRAME_SIZE+offsetof(struct exception_regs, mas3)	 #
 # 0 "" 2
 # 353 "arch/powerpc/kernel/asm-offsets.c" 1
	
->MAS6 208 STACK_INT_FRAME_SIZE+offsetof(struct exception_regs, mas6)	 #
 # 0 "" 2
 # 354 "arch/powerpc/kernel/asm-offsets.c" 1
	
->MAS7 212 STACK_INT_FRAME_SIZE+offsetof(struct exception_regs, mas7)	 #
 # 0 "" 2
 # 355 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_SRR0 216 STACK_INT_FRAME_SIZE+offsetof(struct exception_regs, srr0)	 #
 # 0 "" 2
 # 356 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_SRR1 220 STACK_INT_FRAME_SIZE+offsetof(struct exception_regs, srr1)	 #
 # 0 "" 2
 # 357 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_CSRR0 224 STACK_INT_FRAME_SIZE+offsetof(struct exception_regs, csrr0)	 #
 # 0 "" 2
 # 358 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_CSRR1 228 STACK_INT_FRAME_SIZE+offsetof(struct exception_regs, csrr1)	 #
 # 0 "" 2
 # 359 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_DSRR0 232 STACK_INT_FRAME_SIZE+offsetof(struct exception_regs, dsrr0)	 #
 # 0 "" 2
 # 360 "arch/powerpc/kernel/asm-offsets.c" 1
	
->_DSRR1 236 STACK_INT_FRAME_SIZE+offsetof(struct exception_regs, dsrr1)	 #
 # 0 "" 2
 # 361 "arch/powerpc/kernel/asm-offsets.c" 1
	
->SAVED_KSP_LIMIT 240 STACK_INT_FRAME_SIZE+offsetof(struct exception_regs, saved_ksp_limit)	 #
 # 0 "" 2
 # 364 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CLONE_VM 256 CLONE_VM	 #
 # 0 "" 2
 # 365 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CLONE_UNTRACED 8388608 CLONE_UNTRACED	 #
 # 0 "" 2
 # 368 "arch/powerpc/kernel/asm-offsets.c" 1
	
->MM_PGD 32 offsetof(struct mm_struct, pgd)	 #
 # 0 "" 2
 # 372 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CPU_SPEC_FEATURES 12 offsetof(struct cpu_spec, cpu_features)	 #
 # 0 "" 2
 # 373 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CPU_SPEC_SETUP 44 offsetof(struct cpu_spec, cpu_setup)	 #
 # 0 "" 2
 # 374 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CPU_SPEC_RESTORE 48 offsetof(struct cpu_spec, cpu_restore)	 #
 # 0 "" 2
 # 376 "arch/powerpc/kernel/asm-offsets.c" 1
	
->pbe_address 0 offsetof(struct pbe, address)	 #
 # 0 "" 2
 # 377 "arch/powerpc/kernel/asm-offsets.c" 1
	
->pbe_orig_address 4 offsetof(struct pbe, orig_address)	 #
 # 0 "" 2
 # 378 "arch/powerpc/kernel/asm-offsets.c" 1
	
->pbe_next 8 offsetof(struct pbe, next)	 #
 # 0 "" 2
 # 381 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TASK_SIZE -1073741824 TASK_SIZE	 #
 # 0 "" 2
 # 382 "arch/powerpc/kernel/asm-offsets.c" 1
	
->NUM_USER_SEGMENTS 12 TASK_SIZE>>28	 #
 # 0 "" 2
 # 386 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CFG_TB_ORIG_STAMP 0 offsetof(struct vdso_data, tb_orig_stamp)	 #
 # 0 "" 2
 # 387 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CFG_TB_TICKS_PER_SEC 8 offsetof(struct vdso_data, tb_ticks_per_sec)	 #
 # 0 "" 2
 # 388 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CFG_TB_TO_XS 16 offsetof(struct vdso_data, tb_to_xs)	 #
 # 0 "" 2
 # 389 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CFG_STAMP_XSEC 24 offsetof(struct vdso_data, stamp_xsec)	 #
 # 0 "" 2
 # 390 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CFG_TB_UPDATE_COUNT 32 offsetof(struct vdso_data, tb_update_count)	 #
 # 0 "" 2
 # 391 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CFG_TZ_MINUTEWEST 36 offsetof(struct vdso_data, tz_minuteswest)	 #
 # 0 "" 2
 # 392 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CFG_TZ_DSTTIME 40 offsetof(struct vdso_data, tz_dsttime)	 #
 # 0 "" 2
 # 393 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CFG_SYSCALL_MAP32 64 offsetof(struct vdso_data, syscall_map_32)	 #
 # 0 "" 2
 # 394 "arch/powerpc/kernel/asm-offsets.c" 1
	
->WTOM_CLOCK_SEC 44 offsetof(struct vdso_data, wtom_clock_sec)	 #
 # 0 "" 2
 # 395 "arch/powerpc/kernel/asm-offsets.c" 1
	
->WTOM_CLOCK_NSEC 48 offsetof(struct vdso_data, wtom_clock_nsec)	 #
 # 0 "" 2
 # 396 "arch/powerpc/kernel/asm-offsets.c" 1
	
->STAMP_XTIME 52 offsetof(struct vdso_data, stamp_xtime)	 #
 # 0 "" 2
 # 397 "arch/powerpc/kernel/asm-offsets.c" 1
	
->STAMP_SEC_FRAC 60 offsetof(struct vdso_data, stamp_sec_fraction)	 #
 # 0 "" 2
 # 398 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CFG_ICACHE_BLOCKSZ 116 offsetof(struct vdso_data, icache_block_size)	 #
 # 0 "" 2
 # 399 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CFG_DCACHE_BLOCKSZ 112 offsetof(struct vdso_data, dcache_block_size)	 #
 # 0 "" 2
 # 400 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CFG_ICACHE_LOGBLOCKSZ 124 offsetof(struct vdso_data, icache_log_block_size)	 #
 # 0 "" 2
 # 401 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CFG_DCACHE_LOGBLOCKSZ 120 offsetof(struct vdso_data, dcache_log_block_size)	 #
 # 0 "" 2
 # 413 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TVAL32_TV_SEC 0 offsetof(struct timeval, tv_sec)	 #
 # 0 "" 2
 # 414 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TVAL32_TV_USEC 4 offsetof(struct timeval, tv_usec)	 #
 # 0 "" 2
 # 415 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TSPC32_TV_SEC 0 offsetof(struct timespec, tv_sec)	 #
 # 0 "" 2
 # 416 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TSPC32_TV_NSEC 4 offsetof(struct timespec, tv_nsec)	 #
 # 0 "" 2
 # 419 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TZONE_TZ_MINWEST 0 offsetof(struct timezone, tz_minuteswest)	 #
 # 0 "" 2
 # 420 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TZONE_TZ_DSTTIME 4 offsetof(struct timezone, tz_dsttime)	 #
 # 0 "" 2
 # 423 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CLOCK_REALTIME 0 CLOCK_REALTIME	 #
 # 0 "" 2
 # 424 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CLOCK_MONOTONIC 1 CLOCK_MONOTONIC	 #
 # 0 "" 2
 # 425 "arch/powerpc/kernel/asm-offsets.c" 1
	
->NSEC_PER_SEC 1000000000 NSEC_PER_SEC	 #
 # 0 "" 2
 # 426 "arch/powerpc/kernel/asm-offsets.c" 1
	
->CLOCK_REALTIME_RES 1 MONOTONIC_RES_NSEC	 #
 # 0 "" 2
 # 429 "arch/powerpc/kernel/asm-offsets.c" 1
	
->BUG_ENTRY_SIZE 12 sizeof(struct bug_entry)	 #
 # 0 "" 2
 # 432 "arch/powerpc/kernel/asm-offsets.c" 1
	
->PGD_TABLE_SIZE 4096 PGD_TABLE_SIZE	 #
 # 0 "" 2
 # 433 "arch/powerpc/kernel/asm-offsets.c" 1
	
->PTE_SIZE 4 sizeof(pte_t)	 #
 # 0 "" 2
 # 697 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TLBCAM_SIZE 20 sizeof(struct tlbcam)	 #
 # 0 "" 2
 # 698 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TLBCAM_MAS0 0 offsetof(struct tlbcam, MAS0)	 #
 # 0 "" 2
 # 699 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TLBCAM_MAS1 4 offsetof(struct tlbcam, MAS1)	 #
 # 0 "" 2
 # 700 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TLBCAM_MAS2 8 offsetof(struct tlbcam, MAS2)	 #
 # 0 "" 2
 # 701 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TLBCAM_MAS3 12 offsetof(struct tlbcam, MAS3)	 #
 # 0 "" 2
 # 702 "arch/powerpc/kernel/asm-offsets.c" 1
	
->TLBCAM_MAS7 16 offsetof(struct tlbcam, MAS7)	 #
 # 0 "" 2
#NO_APP
	li 3,0	 #,
	blr
	.size	main, .-main
	.ident	"GCC: (OpenWrt/Linaro GCC 4.8-2014.04 r49389) 4.8.3"
	.section	.note.GNU-stack,"",@progbits
